devtree_s Struct Reference
Public interface » ID macros » Hardware information

PROM tree on PPC. More...

`#include <hd.h>`

## Data Fields

struct devtree_s * | next
struct devtree_s * | parent
unsigned | idx
char * | path
char * | filename
unsigned | pci:1
char * | name
char * | model
char * | device_type
char * | compatible
char * | ccin
char * | fru_number
char * | loc_code
char * | serial_number
char * | part_number
char * | description
int | class_code
| class : sub_class : prog-if
int | vendor_id
int | device_id
int | subvendor_id
int | subdevice_id
int | revision_id
int | interrupt
unsigned char * | edid
| 128 bytes

## Detailed Description

PROM tree on PPC.

The documentation for this struct was generated from the following file:

- hd.h